Bug 825032 - Failed to issue method call: Unit boinc-client.service failed to load: No such file or directory.
Summary: Failed to issue method call: Unit boinc-client.service failed to load: No suc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-24 21:12 UTC by Patrick Melo
Modified: 2012-07-11 23:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 23:55:49 UTC


Attachments (Terms of Use)
/etc/rc.d/init.d/boinc-client (4.17 KB, application/octet-stream)
2012-05-24 23:31 UTC, Patrick Melo
no flags Details

Description Patrick Melo 2012-05-24 21:12:39 UTC
The boinc-client fails to load. I installed the software, ran service boinc-client start and received an error. I am including details from the entire process below. I ran yum update to make sure I have the latest software but the error persists.

[root@localhost patrick]# yum install boinc-client boinc-manager
Loaded plugins: langpacks, presto, refresh-packagekit
fedora/metalink                                          |  15 kB     00:00     
fedora                                                   | 4.2 kB     00:00     
updates/metalink                                         |  20 kB     00:00     
updates-testing/metalink                                 | 5.5 kB     00:00     
updates-testing                                          | 4.5 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package boinc-client.x86_64 0:6.12.43-1.r25218svn.fc17 will be installed
---> Package boinc-manager.x86_64 0:6.12.43-1.r25218svn.fc17 will be installed
--> Processing Dependency: libwx_gtk2u_html-2.8.so.0(WXU_2.8)(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_core-2.8.so.0(WXU_2.8)(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_adv-2.8.so.0(WXU_2.8)(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_baseu_net-2.8.so.0(WXU_2.8)(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_baseu-2.8.so.0(WXU_2.8)(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_xrc-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_richtext-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_qa-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_html-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_core-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_aui-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_gtk2u_adv-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_baseu_xml-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_baseu_net-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Processing Dependency: libwx_baseu-2.8.so.0()(64bit) for package: boinc-manager-6.12.43-1.r25218svn.fc17.x86_64
--> Running transaction check
---> Package wxBase.x86_64 0:2.8.12-4.fc17 will be installed
---> Package wxGTK.x86_64 0:2.8.12-4.fc17 will be installed
--> Processing Dependency: libSDL-1.2.so.0()(64bit) for package: wxGTK-2.8.12-4.fc17.x86_64
--> Running transaction check
---> Package SDL.x86_64 0:1.2.14-16.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch        Version                       Repository   Size
================================================================================
Installing:
 boinc-client       x86_64      6.12.43-1.r25218svn.fc17      fedora      474 k
 boinc-manager      x86_64      6.12.43-1.r25218svn.fc17      fedora      1.0 M
Installing for dependencies:
 SDL                x86_64      1.2.14-16.fc17                fedora      194 k
 wxBase             x86_64      2.8.12-4.fc17                 fedora      563 k
 wxGTK              x86_64      2.8.12-4.fc17                 fedora      2.8 M

Transaction Summary
================================================================================
Install  2 Packages (+3 Dependent packages)

Total download size: 5.0 M
Installed size: 20 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): SDL-1.2.14-16.fc17.x86_64.rpm                     | 194 kB     00:00     
(2/5): boinc-client-6.12.43-1.r25218svn.fc17.x86_64.rpm  | 474 kB     00:00     
(3/5): boinc-manager-6.12.43-1.r25218svn.fc17.x86_64.rpm | 1.0 MB     00:00     
(4/5): wxBase-2.8.12-4.fc17.x86_64.rpm                   | 563 kB     00:00     
(5/5): wxGTK-2.8.12-4.fc17.x86_64.rpm                    | 2.8 MB     00:01     
--------------------------------------------------------------------------------
Total                                           1.3 MB/s | 5.0 MB     00:03     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : wxBase-2.8.12-4.fc17.x86_64                                  1/5 
  Installing : SDL-1.2.14-16.fc17.x86_64                                    2/5 
  Installing : wxGTK-2.8.12-4.fc17.x86_64                                   3/5 
  Installing : boinc-client-6.12.43-1.r25218svn.fc17.x86_64                 4/5 
  Installing : boinc-manager-6.12.43-1.r25218svn.fc17.x86_64                5/5 
  Verifying  : boinc-client-6.12.43-1.r25218svn.fc17.x86_64                 1/5 
  Verifying  : boinc-manager-6.12.43-1.r25218svn.fc17.x86_64                2/5 
  Verifying  : SDL-1.2.14-16.fc17.x86_64                                    3/5 
  Verifying  : wxBase-2.8.12-4.fc17.x86_64                                  4/5 
  Verifying  : wxGTK-2.8.12-4.fc17.x86_64                                   5/5 

Installed:
  boinc-client.x86_64 0:6.12.43-1.r25218svn.fc17                                
  boinc-manager.x86_64 0:6.12.43-1.r25218svn.fc17                               

Dependency Installed:
  SDL.x86_64 0:1.2.14-16.fc17            wxBase.x86_64 0:2.8.12-4.fc17          
  wxGTK.x86_64 0:2.8.12-4.fc17          

Complete!
[root@localhost patrick]# service boinc-client start
Redirecting to /bin/systemctl  start boinc-client.service
Failed to issue method call: Unit boinc-client.service failed to load: No such file or directory. See system logs and 'systemctl status boinc-client.service' for details.
[root@localhost patrick]# systemctl status boinc-client.service
boinc-client.service
	  Loaded: error (Reason: No such file or directory)
	  Active: inactive (dead)

[root@localhost patrick]#

Comment 1 Patrick Melo 2012-05-24 22:42:59 UTC
As a workaround I copied the /etc/rc.d/init.d from another machine. It was a F13 machine that had boinc-client-6.10.58-3.rpm installed. That seemed to do the trick.

Comment 2 Patrick Melo 2012-05-24 23:31:46 UTC
Created attachment 586727 [details]
/etc/rc.d/init.d/boinc-client

Comment 3 Germano Massullo 2012-05-30 07:13:13 UTC
Could you increase severity to maximum possible level?

Comment 4 GuL 2012-06-03 14:33:00 UTC
This seems to be a duplicate from this bug :
https://bugzilla.redhat.com/show_bug.cgi?id=814060
Cheers

Comment 5 Patrick Melo 2012-06-05 16:42:09 UTC
Comment 1 should have read "I copied the /etc/rc.d/init.d/boinc-client file from another machine".

Comment 6 Fedora Update System 2012-06-22 15:38:54 UTC
boinc-client-6.12.43-2.r25218svn.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/boinc-client-6.12.43-2.r25218svn.fc17

Comment 7 Fedora Update System 2012-06-26 00:38:32 UTC
Package boinc-client-6.12.43-2.r25218svn.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boinc-client-6.12.43-2.r25218svn.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9859/boinc-client-6.12.43-2.r25218svn.fc17
then log in and leave karma (feedback).

Comment 8 Germano Massullo 2012-06-27 16:44:26 UTC
It is not possible to permanently enable the service by doing
systemctl enable boinc-client.service

Comment 9 Fedora Update System 2012-07-11 23:55:49 UTC
boinc-client-7.0.29-1.r25790svn.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.